vsprintf
Prev | String Conversions | Next

## Name

vsprintf — Format a string and place it in a buffer

## Synopsis

`int vsprintf (` | char * | buf,
| const char * | fmt,
| va_list | args`)`;

## Arguments

`buf`

  The buffer to place the result into

`fmt`

  The format string to use

`args`

  Arguments for the format string

## Description

The function returns the number of characters written into `buf`. Use `vsnprintf` or `vscnprintf` in order to avoid buffer overflows.

Call this function if you are already dealing with a va_list. You probably want `sprintf` instead.

Prev | Up | Next
scnprintf | Home | sprintf